/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_FILTER_H
#define OCARINA_GUI_FILTER_H
#include <gui/builder.h>

/* Called to initialize the filter model. */
void gui_filter_init();

/* Called to deinitialize the filter model. */
void gui_filter_deinit();

/* Called to get the filter model. */
GtkTreeModelFilter *gui_filter_get();

/* Called to convert a filter model path into a track. */
struct track *gui_filter_path_get_track(GtkTreePath *);

/* Called to convert a filter model path into a queue index. */
unsigned int gui_filter_path_get_index(GtkTreePath *);

#endif /* OCARINA_GUI_FILTER_H */
